examples.jmdp

## Class InvLevel

- java.lang.Object
- - jmarkov.basic.State
  - - jmarkov.basic.PropertiesState
    - - examples.jmdp.InvLevel

- All Implemented Interfaces:
    java.lang.Comparable<State>, JMarkovElement, PropertiesElement

      public class InvLevel
      extends PropertiesState

  This class allows to represent a State with a songle integer. It's used in many of the examples.
  Author:
    Germán Riaño, Andres Sarmiento. Universida de los Andes

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvLevel(int k)` Default constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `computeMOPs(MarkovProcess mp)` By default it computes the long run average for each property. the user should override this method in order to compute more meaningful measures of performance.
    `int` | `getLevel()` Return the inventory level
    `boolean` | `isConsistent()` It is strongly recommended that the user implements this method.
    `java.lang.String` | `label()` Returns a string representation of this state in vector form.

    - ### Methods inherited from class jmarkov.basic.PropertiesState

      `clone, compareTo, compareTo, getNumProps, getProperties, getProperty`

    - ### Methods inherited from class jmarkov.basic.State

      `description, equals, getIndex, getMOP, getMOP, setMOP, setMOP, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface jmarkov.basic.JMarkovElement

      `description, equals, toString`

- - ### Constructor Detail

    - #### InvLevel

          public InvLevel(int k)

      Default constructor.
      Parameters:
        `k` - The level

  - ### Method Detail

    - #### getLevel

          public int getLevel()

      Return the inventory level
      Returns:
        The level.

    - #### label

          public java.lang.String label()

      Description copied from class: `PropertiesState`
      Returns a string representation of this state in vector form. The String will be in the form (p1,p2,..,pK). A Class implementing this Class could give a more meaningful description.
      Specified by:
        `label` in interface `JMarkovElement`
      Overrides:
        `label` in class `PropertiesState`
      Returns:
        A shor String label that identifies the state.
      See Also:
        `JMarkovElement.description()`

    - #### computeMOPs

          public void computeMOPs(MarkovProcess mp)

      Description copied from class: `PropertiesState`
      By default it computes the long run average for each property. the user should override this method in order to compute more meaningful measures of performance.
      Overrides:
        `computeMOPs` in class `PropertiesState`
      Parameters:
        `mp` - The model being solved.
      See Also:
        `State.computeMOPs(MarkovProcess)`

    - #### isConsistent

          public boolean isConsistent()

      Description copied from class: `PropertiesState`
      It is strongly recommended that the user implements this method. If left unimplemented this method returns true.
      Overrides:
        `isConsistent` in class `PropertiesState`
      Returns:
        true if the state is consistent.
      See Also:
        `State.isConsistent()`